org.apache.ignite.internal.visor.query

## Class VisorQueryJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<VisorQueryArg,IgniteBiTuple<? extends VisorExceptionWrapper,VisorQueryResultEx>>
    - - org.apache.ignite.internal.visor.query.VisorQueryJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

    public class VisorQueryJob
    extends VisorJob<VisorQueryArg,IgniteBiTuple<? extends VisorExceptionWrapper,VisorQueryResultEx>>

Job for execute SCAN or SQL query and get first page of results.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
`protected` `VisorQueryJob(VisorQueryArg arg, boolean debug)` Create job with specified argument.

### Method Summary

Methods
`protected IgniteCache<Object,Object>` `cache(String cacheName)`
`protected IgniteBiTuple<? extends VisorExceptionWrapper,VisorQueryResultEx>` `run(VisorQueryArg arg)` Execution logic of concrete job.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryJob

    protected VisorQueryJob(VisorQueryArg arg,
                 boolean debug)

Create job with specified argument.

Parameters:
  `arg` - Job argument.
  `debug` - Debug flag.

### Method Detail

#### cache

    protected IgniteCache<Object,Object> cache(String cacheName)

Parameters:
  `cacheName` - Cache name.
Returns:
  Cache to execute query.

#### run

    protected IgniteBiTuple<? extends VisorExceptionWrapper,VisorQueryResultEx> run(VisorQueryArg arg)

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<VisorQueryArg,IgniteBiTuple<? extends VisorExceptionWrapper,VisorQueryResultEx>>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017